## org.h2.command.ddl
Class CreateFunctionAlias

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.CreateFunctionAlias

    public class CreateFunctionAlias

extends DefineCommand

This class represents the statement CREATE ALIAS

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`CreateFunctionAlias(Session session)`

Method Summary
`void` `setAliasName(java.lang.String name)`
`void` `setDeterministic(boolean deterministic)`
`void` `setForce(boolean force)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setJavaClassMethod(java.lang.String string)`
`void` `setSource(java.lang.String source)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateFunctionAlias

    public CreateFunctionAlias(Session session)

Method Detail

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setAliasName

    public void setAliasName(java.lang.String name)

### setJavaClassMethod

    public void setJavaClassMethod(java.lang.String string)

### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

### setForce

    public void setForce(boolean force)

### setDeterministic

    public void setDeterministic(boolean deterministic)

### setSource

    public void setSource(java.lang.String source)